-- TODO French localization is incomplete!
-- russian localization is also not complete anymore
local allLocalizations = {
	["en"] = {
		["pintype1"] = "Blacksmithing pins",
		["pintypetooltip1"] = "Display ore on the map and compass.",

		["pintype2"] = "Clothier pins",
		["pintypetooltip2"] = "Display clothing material on the map and compass.",

		["pintype3"] = "Enchantment pins",
		["pintypetooltip3"] = "Display runestones on the map and compass.",

		["pintype4"] = "Mushroom pins",
		["pintypetooltip4"] = "Display mushrooms on the map and compass.",
		["pintype13"] = "Herb/Flower pins",
		["pintypetooltip13"] = "Display herbs and flowers on the map and compass.",
		["pintype14"] = "Water herb pins",
		["pintypetooltip14"] = "Display water plants on the map and compass.",

		["pintype5"] = "Woodworking pins",
		["pintypetooltip5"] = "Display wood on the map and compass.",

		["pintype6"] = "Chests pins",
		["pintypetooltip6"] = "Display chests on the map and compass.",

		["pintype7"] = "Solvent pins",
		["pintypetooltip7"] = "Display solvents on the map and compass.",

		["pintype8"] = "Fishing pins",
		["pintypetooltip8"] = "Display fishing locations on the map and compass.",

		["pintype9"] = "Heavy Sack pins",
		["pintypetooltip9"] = "Display heavy sacks on the map and compass.",

		["pintype10"] = "Thieves Trove pins",
		["pintypetooltip10"] = "Display Thieves Troves on the map and compass.",

		["pintype11"] = "Justice Container pins",
		["pintypetooltip11"] = "Display Justice Containers like Safeboxes or Heist objectives on the map and compass.",
		
		["pintype12"] = "Stash pins",

		["savepin"] = "Save <<1>>",
		["savetooltip"] = "Enable to save the locations of this resource when you discover them.",

		["pinsize"] = "Pin size",
		["pinsizetooltip"] = "Set the size of <<1>> on the map.",

		["pincolor"] = "Pin color",
		["pincolortooltip"] = "Set the color of the <<1>> on map and compass.",

		["pincolor"] = "Pin color",
		["pincolortooltip"] = "Set the color of the <<1>> on map and compass.",

		["fov"] = "Field of View",
		["fovtooltip"] = "Sets the field of view on the compass for HarvestMap's pins.\nSetting this value to 360° will display all pins on the compass, 180° will display all pins in front of you on the compass.\nThe default value is 90° which is the field of view for the other compass pins.",
		["compassdistance"] = "Max pin distance",
		["compassdistancetooltip"] = "The maximum distance for pins in meters that appear on the compass.",
		["compass"] = "Enable compass",
		["compasstooltip"] = "Enable the display of close pins on the compass. Can be disabled to increase performance.",
		["minnodedist"] = "Minimum Node Distance",
		["nodedisttooltip"] = "The minimum distance between two resources.\nIf they are closer than this, only one pin will be created.",
		["apply"] = "Apply Time Setting",
		["applywarning"] = "Once old data has been removed, it can not be restored!",
		["timedifference"] = "Keep only recent data",
		["timedifferencetooltip"] = "HarvestMap will only keep data from the last X days.\nThis prevents displaying old data which may already be outdated.\nSet to 0 to keep any data regardless of its age.",
		["timedifferencewarning"] = "Data from before the Orsinium update doesn't have a timestamp and will thus always be deleted when using a value greater than 0.",
		["compassoptions"] = "Compass Options",
		["account"] = "Account-wide Settings",
		["accounttooltip"] = "All the settings below will be the same for each of your characters.",
		["accountwarning"] = "Changing this setting will reload the UI.",
		["hiddentime"] = "Respawn Timer",
		["hiddentimetooltip"] = "Recently visited pins will be hidden for X minutes.",
		["hiddentimewarning"] = "Setting this to a value greater than zero can decrease the game's performance - especially when using a minimap addon.",
		["hiddenonharvest"] = "Use Respawn Timer only on harvest",
		["hiddenonharvesttooltip"] = "Enable to hide pins only, when you harvested them. When disabled pins will also be hidden if you visit them.",
		["exactitem"] = "Show only discovered items",
		["exactitemtooltip"] = "Enable to display only the discovered resources in a map pin's tooltip.\nWhen disabled every resource that can respawn at the pin's location will be displayed in the tooltip.",
		["level"] = "Display resource pins above POI pins.",
		["leveltooltip"] = "Enable to display the pins of HarvestMap above the POI pins on the map.",
		["deletepinfilter"] = "Delete HarvestMap pins",
		["options"] = "<<1>> Options",
		["debug"] = "Display debug messages",
		["debugtooltip"] = "Enable to display debug messages in the chat.",
		["filterheatmap"] = "Heatmap mode",
		["goldperminute"] = "Gold per minute:",
		["farmresult"] = "HarvestFarm Result",
		["farmnotour"] = "HarvestFarm was not able to calculate a good farming route with the given minimum route length.",
		["farmerror"] = "HarvestFarm Error",
		["farmnoresources"] = "No resources found.\nThere are no resources on this map or you don't have any resource types selected.",
		["farminvalidmap"] = "The farming helper tool can not be used on this map.",
		["farmsuccess"] = "HarvestFarm calculated a farming route with <<1>> nodes per kilometer.",
		["farmdescription"] = "HarvestFarm will calculate a tour with a very high resource per time ratio.\nAfter generating a tour, click on one of the selected ressources to set the tour's starting point.",
		["farmminlength"] = "Minimum route length",
		["farmminlengthtooltip"] = "The minimum length of the tour in kilometers.",
		["farmminlengthdescription"] = "The longer the tour, the higher the chance that the resources have respawned when you start the next cycle.\nHowever a shorter tour will have a better resource per time ratio.",
		["calculatetour"] = "Calculate Tour",
		["showtourinterface"] = "Show Tour Interface",
		["canceltour"] = "Cancel Tour",
		["reverttour"] = "Revert Tour Direction",
		["resourcetypes"] = "Resource Types",
		["skiptarget"] = "Skip current target",
		["removetarget"] = "Remove current target",
		["nodesperminute"] = "Nodes per minute",
		["distancetotarget"] = "Distance to the next resource",
		["showarrow"] = "Display direction",

		["esouidescription"] = "For the addon description and FAQ visit the addon's page on esoui.com",
		["openesoui"] = "Open ESOUI",
		["mergedescription"] = "You can download the most recent HarvestMap data (positions of resources) on teso-harvest-merge.de",
		["openmerge"] = "Open Harvest Merge",

		["maxcachedmaps"] = "Maximum number of cached maps",
		["maxcachedmapstooltip"] = "HarvestMap will keep the nodes of previously viewed maps in memory to display them faster when viewing those maps again. However this greatly increases the addon's memory consumption.",

		["hasdrawdistance"] = "Display only nearby map pins",
		["hasdrawdistancetooltip"] = "When enabled, HarvestMap will only create map pins for harvest locations that are close to the player. Not with all minimap addons compatible.",
		["drawdistance"] = "Map pin distance",
		["drawdistancetooltip"] = "The distance threshold for which map pins are drawn, when 'Display only nearby pins' is enabled.",
		["drawspeed"] = "Map pin draw Speed",
		["drawspeedtooltip"] = "When a new map is opened, HarvestMap will add X pins every 0.2 seconds. Decreasing this value will prevent the game from freezing, but can reduce the FPS for a longer duration.",
		["delaywheninfight"] = "Delay while in combat",
		["delaywheninfighttooltip"] = "HarvestMap will not refresh the pins while the character is in combat. This prevents lag when fighting near cities and other sub-zones.",
		["delaywhenmapclosed"] = "Delay until opening the map",
		["delaywhenmapclosedtooltip"] = "HarvestMap will not refresh the pins while the map is closed. This prevents lag while moving around but can lead to missing pins on minimaps.",
		["refreshonharvest"] = "Refresh all pins after harvesting",
		["refreshonharvesttooltip"] = "When disabled only the updated node will be refreshed instead of all pins that belong to the resource type. This however is not compatible with every minimap addon. Enable this setting if pins disappear or aren't updated on the minimap after harvesting a resource.",
		
		["rangemultiplier"] = "Visited Node Range",
		["rangemultipliertooltip"] = "Nodes within X meters are considered as visited by the respawn timer and the farming helper.",
		
		["pinoptions"] = "General Pin Options",
		["worldpins"] = "Enable 3D pins",
		["worldpinswarning"] = "This feature is still in development and not optimized. Beware of bugs.",
		["worldpinstooltip"] = "Enable to display nearby resource locations in the 3D game world. Can be disabled to improve the performance.",
		["worlddistance"] = "Max 3D pin distance",
		["worlddistancetooltip"] = "The maximum distance for harvest locations in meters. When a location is further away, no 3D pin is displayed.",
		["worldpinsdepth"] = "Use depth-buffer for 3D pins",
		["worldpinsdepthtooltip"] = "When disabled, the 3d pins will not be hidden behind other objects.",
		["worldpinsdepthwarning"] = "Because of a game bug, the 3d pins are invisible when this depth buffer option is enabled and a SubSampling quality of medium or low is selected in the game's video options or if the selected resolution does not match the monitor's resolution.",
		["worldpinheight"] = "3D pin height",
		["worldpinheighttooltip"] = "The height of the 3D pins in meters.",
		["worldpininfo"] = [[Because of a game bug, the 3d pins are invisible when the depth buffer option is enabled and the 3d world resolution does not match the UI resolution.
This is the case if a SubSampling quality of medium or low is selected in the game's video options or if the selected resolution does not match the window/monitor resolution.
Current 3D resolution:<<1>>
Current UI resolution:<<2>>x<<3>>
Current SubSampling:<<4>>
If you click the button below, the 3D resolution will be set to the UI resolution and the SubSampling quality will be set to high.]],
		["worldpingraphic"] = "Set Graphics Settings",
		["outdateddata"] = "Outdated Data Settings",
		["performance"] = "Performance",
		["debugoptions"] = "Debug",
		["minimapconflict"] = "This option is incompatible with Fyrakin's minimap.",
		["farmandrespawn"] = "Respawn Timer and Farming Helper",
		["compassandworld"] = "Compass and 3D Pins",
		["debuginfodescription"] = "If you want to report a bug on the esoui.com comment page, please also add the following debug information:",
		["printdebuginfo"] = "Copy Debug Information",
		["pinvisibilitymenu"] = "Pin Visibility Menu",
		["menu"] = "HarvestMap Menu",
		["farmmenu"] = "Farming Tour Editor",
		["editordescription"] = [[In this menu, you can create and edit tours.
If there is currently no other tour active, you can create a tour by clicking onto the map pins.
If there is a tour active, you can edit the tour by replacing sections. Click on the first pin of the to be replace section. Then click on the pins that you want to replace the section with. Finally click on the last pin of the to be replaced section.]],
		["editorstats"] = [[Number of nodes: <<1>>
Length: <<2>> m
Nodes per kilometer: <<3>>]],
		["removetour"] = "Remove Tour",
		["undo"] = "Undo last change",
		["tourname"] = "Tour name: ",
		["defaultname"] = "Unnamed tour",
		["savedtours"] = "Saved tours for this map:",
		["notourformap"] = "There is no saved tour for this map.",
		["load"] = "Load",
		["delete"] = "Delete",
		["saveexiststitle"] = "Please Confirm",
		["saveexists"] = "There is already a tour with the name <<1>> for this map. Do you want to overwrite it?",
		["savenotour"] = "There is no tour that could be saved.",
		["loaderror"] = "The tour could not be loaded.",
		["removepintype"] = "Do you want to remove <<1>> from the tour?",
		["removepintypetitle"] = "Confirm Removal",
		["mingameversion"] = "Minimum game version",
		["mingameversiontooltip"] = "HarvestMap will only keep data from this and newer versions of ESO.",
		
		["SI_BINDING_NAME_SKIP_TARGET"] = "Skip Target",
		["SI_BINDING_NAME_TOGGLE_WORLDPINS"] = "Toggle 3D pins",
		["SI_BINDING_NAME_HARVEST_SHOW_PANEL"] = "Toggle HarvestMap Pin Menu",
		["SI_HARVEST_CTRLC"] = "Press CTRL+C to copy the text",
		["HARVESTFARM_GENERATOR"] = "Generate new tour",
		["HARVESTFARM_EDITOR"] = "Edit tour",
		["HARVESTFARM_SAVE"] = "Save/Load tour",
	},
	["de"] = {
		["pintype1"] = "Schmied Pins",
		["pintypetooltip1"] = "Zeige Erze auf der Karte und dem Kompass.",
		["pintype2"] = "Schneiderei Pins",
		["pintypetooltip2"] = "Zeige Kleidungsmaterial auf der Karte und dem Kompass.",
		["pintype3"] = "Verzauberung Pins",
		["pintypetooltip3"] = "Zeige Runen auf der Karte und dem Kompass.",
		--["pintype4"] = "Alchemie Pins",
		--["pintypetooltip4"] = "Zeige Kräuter auf der Karte und dem Kompass.",
		["pintype5"] = "Schreinerei Pins",
		["pintypetooltip5"] = "Zeige Holz auf der Karte und dem Kompass.",
		["pintype6"] = "Schatztruhen Pins",
		["pintypetooltip6"] = "Zeige Schatztruhen auf der Karte und dem Kompass.",
		["pintype7"] = "Lösung Pins",
		["pintypetooltip7"] = "Zeige Lösungen (Alchemie Zutat) auf der Karte und dem Kompass.",
		["pintype8"] = "Fischgrund Pins",
		["pintypetooltip8"] = "Zeige Fischgründe auf der Karte und dem Kompass.",
		["pintype9"] = "Schwerer Sack Pins",
		["pintypetooltip9"] = "Zeige Schwere Säcke auf der Karte und dem Kompass.",
		["pintype10"] = "Diebesgut Pins",
		["pintypetooltip10"] = "Zeige Diebesgut auf der Karte und dem Kompass.",
		["pintype11"] = "Rechtssystem Pins",
		["pintypetooltip11"] = "Zeige Rechtssystem Pins (Beutezugziele und Wertkassetten) auf der Karte und dem Kompass.",
		["pintype12"] = "Geheimversteck Pins",

		["pinsize"] = "Pingröße",
		["pinsizetooltip"] = "Setze die Größe der <<1>> auf der Karte.",

		["pincolor"] = "Pinfarbe",
		["pincolortooltip"] = "Setze die Farbe der <<1>> auf der Karte und dem Kompass.",

		["savepin"] = "Speichere <<1>>",
		["savetooltip"] = "Aktiviere diese Einstellung, um die Position dieser Ressource zu speichern, wenn du sie findest.",

		["fov"] = "Sichtfeld",
		["fovtooltip"] = "Setze das Sichtfeld für die Pins auf dem Kompass.\nIst dieser Wert auf 360°, so werden alle Pins angezeigt, bei 180° erscheinen nur Pins vor dir auf dem Kompass angezeigt.\nDer Standardwert liegt bei 108°, was dem Sichtfeld der gewöhnlichen Kompasspins entspricht.",
		["compassdistance"] = "Maximale Pinentfernung",
		["compassdistancetooltip"] = "Die maximale Entfernung von Pins in Metern, sodass diese noch immer auf dem Kompass erscheinen.",
		["compass"] = "Aktiviere Kompasspins",
		["compasstooltip"] = "Aktiviere diese Einstellung um nahegelegene Pins auf dem Kompass anzeigen zu lassen. Deaktivieren kann zu einer Performanzverbesserung führen.",
		["apply"] = zo_strupper("ü") .. "bernehmen",
		["applywarning"] = "Einmal gelöschte Daten können nicht wiederhergestellt werden!",
		["timedifference"] = "Verwerfe veraltete Daten",
		["timedifferencetooltip"] = "HarvestMap verwirft Daten älter als X Tage.\nSetze diesen Wert auf 0, um alle Daten zu behalten - egal wie alt sie sind.",
		["timedifferencewarning"] = "Daten älter als das Orsiniumupdate besitzen keine Zeitinformationen und werden deshalb bei jedem Wert größer als 0 gelöscht.",
		["compassoptions"] = "Kompass Optionen",
		["account"] = "Accountweite Einstellungen",
		["accounttooltip"] = "Alle Einstellungen unterhalb sind dieselben für alle deine Figuren.",
		["accountwarning"] = "Wenn diese Einstellung geändert wird, wird das Interface neu geladen und es kommt zu einem Ladebildschirm.",
		["hiddentime"] = "Respawn Timer",
		["hiddentimetooltip"] = "Vor kurzem besuche Pins werden für X minuten von der Karte und dem Kompass versteckt. Ist dieser Wert 0, so werden die Pins niemals versteckt.",
		["hiddentimewarning"] = "Setze diesen Wert auf 0, um die Performanz zu verbessern.",
		["hiddenonharvest"] = "Erntespezifischer Respawn Timer",
		["hiddenonharvesttooltip"] = "Aktiviere diese Einstellung um Pins nur zu verstecken, wenn du an ihrer Position etwas geerntet hast.\nWenn deaktiviert werden Pins bereits beim Besuchen versteckt.",
		["exactitem"] = "Zeige nur entdeckte Ressourcen",
		["exactitemtooltip"] = "Aktiviere diese Einstellungen um im Pintooltip nur von dir entdeckte Gegenstände anzuzeigen.\nFalls deaktiviert werden abhängig von der Zone, deiner Stufe und deinem Handwerksrang die möglichen Ressourcen berechnet und angezeigt.",
		["level"] = "Zeige HarvestMaps Pins über den anderen Pins.",
		["leveltooltip"] = "Falls diese Einstellung aktiviert ist, werden HarvestMaps Pins nicht von den anderen Pins auf der Karte verdeckt.",
		["deletepinfilter"] = "Lösche HarvestMap Pins",
		["options"] = "<<1>> Optionen",
		["debug"] = "Zeige Debugnachrichten an",
		["debugtooltip"] = "Falls aktiviert werden Debugnachrichten im Chatfenster angezeigt.",
		["filterheatmap"] = "Heatmap Modus",
		["goldperminute"] = "Gold pro Minute:",
		["farmresult"] = "HarvestFarm Ergebnis",
		["farmnotour"] = "HarvestFarm war nicht in der Lage eine gute Tour mit der gegebenen minimalen Tourlänge zu berechnen.",
		["farmerror"] = "HarvestFarm Fehler",
		["farmnoresources"] = "Keine Ressourcen gefunden.\nEs gibt keine Ressourcen auf dieser Karte oder du hast keine Ressourcen ausgewählt.",
		["farminvalidmap"] = "HarvestFarm kann auf dieser Karte nicht verwendet werden.",
		["farmsuccess"] = "HarvestFarm berechnete eine Tour mit <<1>> Erntepunkten pro Kilometer.",
		["farmdescription"] = "HarvestFarm berechnet eine Tour mit einer sehr hohen Ressourcen-pro-Zeit-Rate.",
		["farmminlength"] = "Minimale Tourlänge",
		["farmminlengthtooltip"] = "Die Länge wird in Kilometern angegeben.",
		["farmminlengthdescription"] = "Je länger die Tour, desto höher die Wahrscheinlichtkeit, dass die Erntepunkte beim nächsten Besuch respawnt sind.\nEine kürzere Tour liefert jedoch eine bessere Ressourcen-pro-Zeit-Rate.",
		["calculatetour"] = "Berechne die Tour",
		["showtourinterface"] = "Zeige Tour Interface",
		["canceltour"] = "Tour Abbrechen",
		["resourcetypes"] = "Ressourcenarten",
		["skiptarget"] = zo_strupper("ü").."berspringe Ziel",
		["nodesperminute"] = "Erntepunkte pro Minute",
		["distancetotarget"] = "Distanz zum Ziel:",
		["showarrow"] = "Zeige Richtung an",

		["esouidescription"] = "Eine Addon Beschreibung sowie die FAQ befinden sich auf esoui.com",
		["openesoui"] = zo_strupper("ö").."ffne ESOUI",
		["mergedescription"] = "Du kannst aktuelle HarvestMap Daten (Positionen der Rohstoffe) auf\nteso-harvest-merge.de herunterladen.",
		["openmerge"] = zo_strupper("ö").."ffne Harvest Merge",

		["maxcachedmaps"] = "Maximale Anzahl Karten im Cache",
		["maxcachedmapstooltip"] = "HarvestMap hält die Erntepunkte vorher betrachteter Karten im Arbeitsspeicher, um diese Karten bei erneutem betrachten schneller laden zu können. Der erhöhte Speicherbedarf kann aber die Performanz negativ beeinflussen.",

		["hasdrawdistance"] = "Zeige nur nahe Pins",
		["hasdrawdistancetooltip"] = "Falls aktiviert, wird HarvestMap nur Pins in der Nähe des Spieler anzeigen.",
		["drawdistance"] = "Anzeigedistanz",
		["drawdistancetooltip"] = "Die Distanzgrenze für die 'Zeige nur nahe Pins' Option.",
		["drawspeed"] = "Anzeige Geschwindigkeit",
		["drawspeedtooltip"] = "Wenn eine neue Karte geöffnet wird, werden X Pins alle 0.2 Sekunden hinzugefügt. Das verringern der Anzeigegeschwindikeit verhindert ein kurzes Einfrieren des Spiels beim betrachten einer neuen Karte, allerdings könnte die FPS für einen längeren Zeitraum verringert werden.",
		
		["SI_BINDING_NAME_SKIP_TARGET"] =  "Überspringe Ziel",
		["SI_BINDING_NAME_TOGGLE_WORLDPINS"] = "(De-)Aktiviere 3D pins",
	},
	["fr"] = { --translation based on wookiefrag's input.
		["pintype1"] = "Gisements Pins",
		["pintypetooltip1"] = "Montre les gisements de minerais sur la carte et la boussole.",
		["pintype2"] = "Matériaux Pins",
		["pintypetooltip2"] = "Montre les matériaux de couture sur la carte et la boussole.",
		["pintype3"] = "Pierres runiques Pins",
		["pintypetooltip3"] = "Montre les pierres runiques sur la carte et la boussole.",
		--["pintype4"] = "Plantes Pins",
		--["pintypetooltip4"] = "Montre les plantes sur la carte et la boussole.",
		["pintype5"] = "Matériaux Pins",
		["pintypetooltip5"] = "Montre les rondins de bois sur la carte et la boussole.",
		["pintype6"] = "Coffres Pins",
		["pintypetooltip6"] = "Montre les coffres sur la carte et la boussole.",
		["pintype7"] = "Solvants Pins",
		["pintypetooltip7"] = "Montre les solvants sur la carte et la boussole.",


		["pinsize"] = "Taille des repères",
		["pinsizetooltip"] = "Paramètre la taille des repères des <<1>> de la carte.",

		["pincolor"] = "Couleur des repères",
		["pincolortooltip"] = "Définit la couleur des repères des <<1>> de la carte et de la boussole.",

		["fov"] = "Champ de vision",
		["compassdistance"] = "Distance maximale d'un repère",
		["compassdistancetooltip"] = "Distance maximale a laquelle les différents repères apparaissent sur la boussole.",
		["compass"] = "Activer la boussole",
		["compasstooltip"] = "Activer l'affichage des repères a proximité sur la boussole.",
	},
	["ru"] = {
		["pintype1"] = "Кузнечное дело",
		["pintypetooltip1"] = "Показывать руды на карте и компасе.",

		["pintype2"] = "Портняжное дело",
		["pintypetooltip2"] = "Показывать материал для тканей на карте и компасе.",

		["pintype3"] = "Зачарование",
		["pintypetooltip3"] = "Показывать рунные камни на карте и компасе.",

		--["pintype4"] = "Алхимия",
		--["pintypetooltip4"] = "Показывать травы, цветы и грибы на карте и компасе.",

		["pintype5"] = "Столярное дело",
		["pintypetooltip5"] = "Показывать древесину на карте и компасе.",

		["pintype6"] = "Сундуки",
		["pintypetooltip6"] = "Показывать сундуки на карте и компасе.",

		["pintype7"] = "Растворители",
		["pintypetooltip7"] = "Показывать растворители на карте и компасе.",

		["pintype8"] = "Рыбные места",
		["pintypetooltip8"] = "Показывать рыбные места на карте и компасе.",

		["pintype9"] = "Тяжелые мешки",
		["pintypetooltip9"] = "Показывать тяжелые мешки на карте и компасе.",

		["pintype10"] = "Воровские тайники",
		["pintypetooltip10"] = "Показывать воровские тайники на карте и компасе.",

		["pintype11"] = "Охраняемые сейфы",
		["pintypetooltip11"] = "Показывать охраняемые контейнеры, такие как сейфы или цели для ограблений на карте и компасе.",
		
		["pintype12"] = "Тайники",

		["savepin"] = "Сохранять <<1>>",
		["savetooltip"] = "Разрешить сохранение расположения этого ресурса при его обнаружении.",

		["pinsize"] = "Размер метки",
		["pinsizetooltip"] = "Задает размер метки <<1>> на карте.",

		["pincolor"] = "Цвет метки",
		["pincolortooltip"] = "Задает цвет метки <<1>> на карте и компасе.",

		["fov"] = "Поле видимости",
		["fovtooltip"] = "Установить поле видимости на компасе для меток HarvestMap.\nУстановка значения в 360° будет показывать все имеющиеся метки на компасе, 180° покажет все метки находящиеся перед вами.\nЗначение по умолчанию в 90° это поле видимости как и для остальных меток на компасе.",
		["compassdistance"] = "Макс. дистанция меток",
		["compassdistancetooltip"] = "Максимальная дистанция меток для начала отображения их на компасе.",
		["compass"] = "Отображать на компасе",
		["compasstooltip"] = "Включить отображение ближайших меток на компасе. Может быть отключена для повышения производительности.",
		["minnodedist"] = "Дист. между ресурсами",
		["nodedisttooltip"] = "Минимальное расстояние между двумя ресурсами.\n Если они ближе чем указано, будет создана только одна общая метка.",
		["apply"] = "Применить настройки",
		["applywarning"] = "Как только старые данные будут удалены, их будет невозможно восстановить!",
		["timedifference"] = "Только актуальные данные",
		["timedifferencetooltip"] = "HarvestMap будет оставлять данные только за последние X дней.\nЭто предотвратит отображение старых данных которые могли потерять актуальность.\nУстановка значения в 0 оставит все имеющиеся данные.",
		["timedifferencewarning"] = "Данные до выхода Орсиниума не имеют метку времени и при установке значения больше чем 0 будут всегда удаляться.",
		["compassoptions"] = "Настройки компаса",
		["account"] = "Настройки на всех персонажей",
		["accounttooltip"] = "Все настройки ниже будут применены ко всем персонажам.",
		["accountwarning"] = "Изменение этой настройки перезагрузит UI.",
		["hiddentime"] = "Время возрождения",
		["hiddentimetooltip"] = "Только что посещенный ресурс будет скрыт на X минут.",
		["hiddentimewarning"] = "Установка этого значения в больше чем 0 может снизить производительность - особенно если используется дополнение с миникартой.",
		["hiddenonharvest"] = "Отсчет возрождения только при сборе",
		["hiddenonharvesttooltip"] = "Включить только для скрытия меток когда вы собрали ресурс. Если отключено, метки также будут скрываться при их посещении.",
		["exactitem"] = "Показывать только разведанные ресурсы",
		["exactitemtooltip"] = "Включить для отображение только разведанных ресурсов в подсказках меток на карте.\nЕсли отключено, любой ресурс который может возродиться на расположении метки будет отображаться в подсказках.",
		["level"] = "Показывать метки с ресурсами рядом с POI",
		["leveltooltip"] = "Включить отображение меток HarvestMap рядом с точками интереса на карте.",
		["deletepinfilter"] = "Удалить метки HarvestMap",
		["options"] = "Настройки: <<1>>",
		["debug"] = "Показывать отладочную информацию",
		["debugtooltip"] = "Включить вывод отладочной информации в чат.",
		["filterheatmap"] = "Режим тепловой карты",
		["goldperminute"] = "Золото в минуту:",
		["farmresult"] = "Результат вычислений",
		["farmnotour"] = "HarvestFarm не смог просчитать маршрут для сбора с указанной минимальной длиной пути.",
		["farmerror"] = "HarvestFarm ошибка",
		["farmnoresources"] = "Ресурсы не найдены.\n На этой карте нет ресурсов или вы не выбрали ни один из типов ресурсов.",
		["farminvalidmap"] = "Помощник сбора ресурсов не может быть задействован на этой карте.",
		["farmsuccess"] = "HarvestFarm просчитал путь для сбора с <<1>> ресурсами на километр.",
		["farmdescription"] = "HarvestFarm вычислит наиболее оптимальный путь с высоким содержанием ресурсов за один промежуток времени.",
		["farmminlength"] = "Длина пути",
		["farmminlengthtooltip"] = "Минимальная длина пути в километрах.",
		["farmminlengthdescription"] = "Чем длиннее путь, тем больше шансов что ресурс возродиться после прохождения вами полного цикла.\nОднако более короткий путь имеет лучшее соотношение ресурсов за единицу времени.",
		["calculatetour"] = "Просчитать путь",
		["showtourinterface"] = "Интерфейс пути",
		["canceltour"] = "Отменить путь",
		["reverttour"] = "Развернуть направление",
		["resourcetypes"] = "Тип ресурсов",
		["skiptarget"] = "Пропустить цель",
		["removetarget"] = "Удалить цель",
		["nodesperminute"] = "Ресурсов в минуту",
		["distancetotarget"] = "Расстояние до след. ресурса",
		["showarrow"] = "Направление",

		["esouidescription"] = "Для подробной информации о дополнении и FAQ, посетите страницу на esoui.com",
		["openesoui"] = "Открыть ESOUI",
		["mergedescription"] = "Вы можете скачать наиболее актуальные данные HarvestMap (расположение ресурсов) на teso-harvest-merge.de",
		["openmerge"] = "Открыть Harvest Merge",

		["maxcachedmaps"] = "Макс. число кешированных карт",
		["maxcachedmapstooltip"] = "HarvestMap будет сохранять ресурсы на просмотренных картах для более быстрого их отображение при повторном открытии карты. Однако это значительно увеличивает потребление памяти дополнением.",

		["hasdrawdistance"] = "Показывать только близкие метки",
		["hasdrawdistancetooltip"] = "Если включено, HarvestMap будет создавать метки только для ресурсов расположенных близко с игроком. Совместим не со всеми дополнениями миникарты.",
		["drawdistance"] = "Расстояние до меток",
		["drawdistancetooltip"] = "Предел расстояния для которого будут отображаться метки на карте если включена опция 'Показывать только близкие метки'.",
		["drawspeed"] = "Скорость отрисовки меток",
		["drawspeedtooltip"] = "При открытии карты HarvestMap будет добавлять X меток каждые 0.2 секунды. Уменьшение этого значение предотвратит замирания в игре, но может снижать FPS на более длительное время.",
		["delaywheninfight"] = "Не обновлять в бою",
		["delaywheninfighttooltip"] = "HarvestMap не будет обновлять метки пока персонаж находится в бою. Это предотвратит задержки при сражениях около городов и переходами между зонами.",
		["delaywhenmapclosed"] = "Только при открытии карты",
		["delaywhenmapclosedtooltip"] = "HarvestMap не будет обновлять метки пока карта закрыта. Это предотвратит задержки при передвижении, но может привести к пропуску меток на миникарте.",
		["refreshonharvest"] = "Обновлять все метки при сборе",
		["refreshonharvesttooltip"] = "Если отключено, то будет обновлена метка только с последним собранным ресурсом, вместо обновления меток всех ресурсов этого типа. Однако, эта опция совместима не со всеми дополнениями миникарты. Включите эту опцию, если метки не обновляются на миникарте после сбора ресурса.",
		
		["rangemultiplier"] = "Расстояние до посещенных ресурсов",
		["rangemultipliertooltip"] = "Ресурсы в пределах X метров, будут считаться таймером возрождения и помощником сбора как посещенные.",
		
		["pinoptions"] = "Общие настройки меток",
		["worldpins"] = "Включить 3D метки",
		["worldpinswarning"] = "Эта функция находится в разработке и не оптимизирована. Остерегайтесь ошибок.",
		["worldpinstooltip"] = "Включить отображение расположения ближайших ресурсов в 3D игровом мире. Может быть отключена для повышения производительности.",
		["worlddistance"] = "Макс. дистанция 3D меток",
		["worlddistancetooltip"] = "Максимальное расстояние до расположения ресурсов в метрах. При превышении, 3D метки не будут отображаться.",
		["worldpinsdepth"] = "Использовать буфер глубины для 3D меток",
		["worldpinsdepthtooltip"] = "При отключении, 3d метки не будут скрываться за другими объектами.",
		["worldpinsdepthwarning"] = "Из за ошибки клиента игры, 3d метки становятся невидимыми если включен буфер глубины и качество субдискретизации в настройках графики установлено на 'среднее' и ниже или разрешении игры не соответствует разрешению монитора.",
		["worldpinheight"] = "Размер 3D метки",
		["worldpinheighttooltip"] = "Высота 3D метки в метрах.",
		["worldpininfo"] = [[Из за ошибки клиента игры, 3d метки становятся невидимыми если включен буфер глубины и 3d разрешение не соответствует разрешению интерфейса игры.
Это случается если установлено качество субдискретизации среднее или ниже в видео настройках игры или выбранное разрешение не соответвует разрешению окна/монитора.
Текущее 3D разрешение:<<1>>
Текущее UI разрешение:<<2>>x<<3>>
Качество субдискретизации:<<4>>
Если вы нажмете кнопку ниже, 3D разрешение станет равным UI разрешению и качество субдискретизации будет установлено в высокое.]],
		["worldpingraphic"] = "Настройки графики",
		["outdateddata"] = "Настройки устаревших данных",
		["performance"] = "Производительность",
		["debugoptions"] = "Отладка",
		["minimapconflict"] = "Эта опция несовместима с Fyrakin's minimap.",
		["farmandrespawn"] = "Время возрождения и Помощник сбора",
		["compassandworld"] = "Компас и 3D метки",
		["debuginfodescription"] = "Если вы хотите сообщить об ошибках в разделе комментариев этого дополнения на esoui.com, пожалуйста скопируйте также и отладочную информацию:",
		["printdebuginfo"] = "Отладочная информация",
		["pinvisibilitymenu"] = "Меню отображения меток",
		["menu"] = "Меню HarvestMap",
		["farmmenu"] = "Редактор пути",
		["editordescription"] = [[В этом меню вы можете создавать и редактировать пути.
Если пока нет других активных путей, можно создать новый, выбирая метки ресурсов на карте.
Если путь активен, вы можете его редактировать, заменяя секции. Кликните на первую метку заменяемой секции. Затем выберите метки которыми хотите заменить эту секцию. Наконец, кликните на последнюю метку, чтобы заменить секцию.]],
		["editorstats"] = [[Количество ресурсов: <<1>>
Расстояние: <<2>> м
Ресурсов на километр: <<3>>]],
		["removetour"] = "Удалить путь",
		["tourname"] = "Название: ",
		["defaultname"] = "Безымянный путь",
		["savedtours"] = "Сохраненные пути для этой карты:",
		["notourformap"] = "Нет сохраненных путей для этой карты.",
		["load"] = "Загрузить",
		["delete"] = "Удалить",
		["saveexiststitle"] = "Пожалуйста, подтвердите",
		["saveexists"] = "Путь с названием <<1>> уже есть на этой карте. Вы хотите перезаписать его?",
		["savenotour"] = "Нет путей которые можно сохранить.",
		["loaderror"] = "Невозможно загрузить путь.",
		["removepintype"] = "Вы хотите удалить <<1>> из пути?",
		["removepintypetitle"] = "Подтвердить удаление",
		
		["SI_BINDING_NAME_SKIP_TARGET"] = "Пропустить цель",
		["SI_BINDING_NAME_TOGGLE_WORLDPINS"] = "Включить 3D метки",
		["SI_BINDING_NAME_HARVEST_SHOW_PANEL"] = "Включить HarvestMap Pin Menu",
		["SI_HARVEST_CTRLC"] = "Нажмите CTRL+C для копирования",
		["HARVESTFARM_GENERATOR"] = "Создать новый путь",
		["HARVESTFARM_EDITOR"] = "Редактировать путь",
		["HARVESTFARM_SAVE"] = "Сохранить/Загрузить путь",
		},
	["jp"] = {
		["pintype1"] = "鍛冶のピン",
		["pintypetooltip1"] = "マップとコンパスに鉱石を表示します。",

		["pintype2"] = "仕立のピン",
		["pintypetooltip2"] = "マップとコンパスに仕立の材料を表示します。",

		["pintype3"] = "付呪のピン",
		["pintypetooltip3"] = "マップとコンパスにルーンストーンを表示します。",

		--["pintype4"] = "錬金術のピン",
		--["pintypetooltip4"] = "マップとコンパスにハーブ、花、キノコを表示します。",

		["pintype5"] = "木工のピン",
		["pintypetooltip5"] = "マップとコンパスに木材を表示します。",

		["pintype6"] = "宝箱のピン",
		["pintypetooltip6"] = "マップとコンパスに宝箱を表示します。",

		["pintype7"] = "溶媒のピン",
		["pintypetooltip7"] = "マップとコンパスに溶媒を表示します。",

		["pintype8"] = "釣り場のピン",
		["pintypetooltip8"] = "マップとコンパスに釣り場を表示します。",

		["pintype9"] = "重い袋のピン",
		["pintypetooltip9"] = "マップとコンパスに重い袋を表示します。",

		["pintype10"] = "盗賊の宝のピン",
		["pintypetooltip10"] = "マップとコンパスに盗賊の宝を表示します。",

		["pintype11"] = "犯罪コンテナのピン",
		["pintypetooltip11"] = "マップとコンパスに金庫や強奪目標といった犯罪コンテナを表示します。",
		
		["pintype12"] = "隠し場所のピン",

		["savepin"] = "<<1>>の保存",
		["savetooltip"] = "このリソースの発見場所の保存を有効にします。",

		["pinsize"] = "ピンのサイズ",
		["pinsizetooltip"] = "マップの<<1>>のサイズを設定します。",

		["pincolor"] = "ピンの色",
		["pincolortooltip"] = "マップとコンパスの<<1>>の色を設定します。",

		["pincolor"] = "ピンの色",
		["pincolortooltip"] = "マップとコンパスの<<1>>の色を設定します。",

		["fov"] = "視野角(FOV)",
		["fovtooltip"] = "HarvestMapのピンのコンパス上の視野角(FOV)を設定します。\n360°を設定すると全てのピンがコンパスに表示され、180°を設定すると自分より前にある全てのピンがコンパスに表示されます。\nデフォルトは90°で、他のコンパスピンの視野角(FOV)のデフォルトです。",
		["compassdistance"] = "ピンの最大距離",
		["compassdistancetooltip"] = "コンパスに表示するピンの最大距離(メートル)です。",
		["compass"] = "コンパスを有効にする",
		["compasstooltip"] = "近くのピンをコンパスに表示します。無効にするとパフォーマンスが向上します。",
		["minnodedist"] = "資源アイテム間の最短距離",
		["nodedisttooltip"] = "2つの資源アイテム間の最短距離。\nこの値より短いとピンを1つだけ生成します。",
		["apply"] = "期限設定の適用",
		["applywarning"] = "一度期限切れのデータを削除すると元に戻せません！",
		["timedifference"] = "最近のデータのみ保存する",
		["timedifferencetooltip"] = "HarvestMapは過去X日間のデータだけを保持します。\nこれにより既に古くなったデータは表示されなくなります。\n0を設定すると日数にかかわらず全てのデータを保持します。",
		["timedifferencewarning"] = "オルシニウムアップデート前のデータにはタイムスタンプがないため、0より大きな値を設定すると常に削除されます。",
		["compassoptions"] = "コンパスオプション",
		["account"] = "アカウント全体設定",
		["accounttooltip"] = "全キャラクターで以下の設定が同じになります。",
		["accountwarning"] = "この設定を変更するとUIがリロードされます。",
		["hiddentime"] = "リスポーンタイマー",
		["hiddentimetooltip"] = "最近訪問したピンをX分間非表示にします。",
		["hiddentimewarning"] = "0より大きな値を設定するとゲームのパフォーマンスが低下する可能性があります(特にミニマップアドオンを使用する場合)。",
		["hiddenonharvest"] = "採取時にだけリスポーンタイマーを使う",
		["hiddenonharvesttooltip"] = "有効にすると採取した時だけピンを非表示にします。無効にしても訪問時にはピンを非表示にします。",
		["exactitem"] = "発見済アイテムだけを表示する",
		["exactitemtooltip"] = "有効にすると発見済のリソースだけをマップピンのツールチップに表示します。\n無効にするとピンの場所にリスポーンしうる全リソースをツールチップに表示します。",
		["level"] = "リソースピンを重要地点ピンの上に表示",
		["leveltooltip"] = "マップの重要地点ピンより上にHarvestMapのピンを表示します。",
		["deletepinfilter"] = "HarvestMapのピンの削除",
		["options"] = "<<1>> オプション",
		["debug"] = "デバッグメッセージの表示",
		["debugtooltip"] = "チャットにデバッグメッセージを表示します。",
		["filterheatmap"] = "色分け地図モード",
		["goldperminute"] = "ゴールド/分:",
		["farmresult"] = "HarvestFarmの結果",
		["farmnotour"] = "HarvestFarmは指定された最短距離では良好なファーミング経路を算出できませんでした。",
		["farmerror"] = "HarvestFarmエラー",
		["farmnoresources"] = "リソースが見つかりません。\nこのマップにリソースがないか、選択された種類のリソースがありません。",
		["farminvalidmap"] = "このマップでファーミングヘルパーツールは使用できません。",
		["farmsuccess"] = "HarvestFarmはキロメートル当たり<<1>>個の資源アイテムを含む経路を算出しました。",
		["farmdescription"] = "HarvestFarmは時間当たりのリソース数が非常に高いツアーを算出します。",
		["farmminlength"] = "経路の最短距離",
		["farmminlengthtooltip"] = "ツアーの最短距離(単位:キロメートル)です。",
		["farmminlengthdescription"] = "ツアーの距離が長いほど次の周回時にリソースがリスポーンする可能性が高くなります。\nツアーの距離が短いと時間当たりのリソース数が向上します。",
		["calculatetour"] = "ツアーの算出",
		["showtourinterface"] = "ツアーUIの表示",
		["canceltour"] = "ツアーのキャンセル",
		["reverttour"] = "ツアーの方向を元に戻す",
		["resourcetypes"] = "リソースの種別",
		["skiptarget"] = "現在の対象をスキップ",
		["removetarget"] = "現在の対象を除外",
		["nodesperminute"] = "資源アイテム数/分",
		["distancetotarget"] = "次のリソースまでの距離",
		["showarrow"] = "方向の表示",

		["esouidescription"] = "アドオンの説明とFAQについてはesoui.comのアドオンページを参照してください。",
		["openesoui"] = "ESOUIの閲覧",
		["mergedescription"] = "最新のHarvestMapデータ(リソースの場所)はteso-harvest-merge.deでダウンロードできます。",
		["openmerge"] = "Harvest Mergeの閲覧",

		["maxcachedmaps"] = "キャッシュするマップの最大数",
		["maxcachedmapstooltip"] = "HarvestMapは以前に表示したマップの資源アイテムをメモリに保持し、マップ再表示時に該当マップを高速表示します。しかしアドオンのメモリ消費が大幅に増加します。",

		["hasdrawdistance"] = "近くのマップピンだけを表示",
		["hasdrawdistancetooltip"] = "HarvestMapはプレイヤーの近くの採取場所のマップピンだけを生成します。互換性のあるミニマップアドオンはありません。",
		["drawdistance"] = "マップピンの描画距離",
		["drawdistancetooltip"] = "'近くのマップピンだけを表示'が有効の場合、ピンを描画する距離のしきい値です。",
		["drawspeed"] = "マップピンの描画速度",
		["drawspeedtooltip"] = "新しいマップを開くと、HarvestMapは0.2秒ごとにピンをX個追加します。この値を小さくするとゲームのフリーズを防げますが、FPSの低下がより長時間に及ぶことがあります。",
		["delaywheninfight"] = "戦闘中は遅延する",
		["delaywheninfighttooltip"] = "HarvestMapはキャラクターの戦闘中にピンを更新しません。町の近くやサブゾーン付近で戦闘する際のラグを防ぎます。",
		["delaywhenmapclosed"] = "マップを開くまで遅延する",
		["delaywhenmapclosedtooltip"] = "マップが閉じている間、HarvestMapはピンを更新しません。移動中のラグを防ぎますが、ミニマップ上のピンが欠落することがあります。",
		["refreshonharvest"] = "採取後に全てのピンを更新する",
		["refreshonharvesttooltip"] = "無効にすると、リソース種別に対応した全てのピンではなく、更新された資源アイテムのみを更新します。しかし全てのミニマップアドオンと互換性がありません。ピンが表示されなかったり資源アイテム採取後にミニマップが更新されない場合はこの設定を有効にします。",
		
		["rangemultiplier"] = "資源アイテムを訪問済にする距離",
		["rangemultipliertooltip"] = "リスポーンタイマーやファーミングヘルパーにより、Xメートル以内の資源アイテムは訪問済とみなされます。",
		
		["pinoptions"] = "ピンの全般オプション",
		["worldpins"] = "3Dピンの有効化",
		["worldpinswarning"] = "本機能は開発中であり最適化されていません。バグに注意してください。",
		["worldpinstooltip"] = "有効にすると3Dゲームワールド内に近くのリソースの場所を表示できます。パフォーマンス向上のために無効にすることもできます。",
		["worlddistance"] = "3Dピンの最大距離",
		["worlddistancetooltip"] = "採取場所までの最大距離(メートル)です。これ以上遠くにある場所の3Dピンは表示されません。",
		["worldpinsdepth"] = "3Dピンに深度バッファを使う",
		["worldpinsdepthtooltip"] = "無効にすると3Dピンは他のオブジェクトの背後に隠れません。",
		["worldpinsdepthwarning"] = "深度バッファを有効にした場合、ゲームのビデオオプションでサブサンプリングの品質を中または低にするか、モニタ解像度と不一致の解像度を選択すると、ゲームのバグにより3Dピンが表示されません。",
		["worldpinheight"] = "3Dピンの高さ",
		["worldpinheighttooltip"] = "3Dピンの高さ(メートル)です。",
		["worldpininfo"] = [[深度バッファを有効にした場合、3Dワールドの解像度とUIの解像度が一致しないと、ゲームのバグにより3Dピンが表示されません。
これはゲームのビデオオプションでサブサンプリングの品質を中または低にするか、ウィンドウ/モニタ解像度と不一致の解像度を選択した場合に発生します。
現在の3D解像度:<<1>>
現在のUI解像度:<<2>>x<<3>>
現在のサブサンプリング品質:<<4>>
以下のボタンをクリックすると、UI解像度に3D解像度を設定し、サブサンプリング品質を高に設定します。]],
		["worldpingraphic"] = "グラフィック設定の変更",
		["outdateddata"] = "期限切れデータの設定",
		["performance"] = "パフォーマンス",
		["debugoptions"] = "デバッグ",
		["minimapconflict"] = "このオプションはFyrakin's minimapとの互換性はありません。",
		["farmandrespawn"] = "リスポーンタイマーとファーミングヘルパー",
		["compassandworld"] = "コンパスと3Dピン",
		
		["SI_BINDING_NAME_SKIP_TARGET"] = "対象のスキップ",
		["SI_BINDING_NAME_TOGGLE_WORLDPINS"] = "3Dピンの切り替え",
	},
}

-- Set Localization
Harvest.language = GetCVar("language.2")
-- use english localization if the language isn't supported
if not allLocalizations[Harvest.language] then
	Harvest.language = "en"
end

local localization = allLocalizations[Harvest.language]
function Harvest.GetLocalization(tag)
	-- return the localization for the given tag,
	-- if the localization is missing, use the english string instead
	-- if the english string is missing, something went wrong.
	-- return the tag so that at least some string is returned to prevent the addon from crashing
	return (localization[ tag ] or allLocalizations["en"][ tag ]) or tag
end

local UIStrings = {"SI_BINDING_NAME_SKIP_TARGET", "SI_BINDING_NAME_TOGGLE_WORLDPINS", "SI_BINDING_NAME_HARVEST_SHOW_PANEL",
		"SI_HARVEST_CTRLC", "HARVESTFARM_GENERATOR","HARVESTFARM_EDITOR","HARVESTFARM_SAVE"}
for _, str in pairs(UIStrings) do
	ZO_CreateStringId(str, Harvest.GetLocalization(str))
end
